import { post, upload } from "@/request/axios.js";
export const getSafetyCommitmentList = (params) =>
  post("/commitment/listForSecurityCommitment", params); // 承诺书列表

export const getSafetyCommitmentUserList = (params) =>
  post("/commitment/listForSecurityCommitmentUser", params); // 用户承诺书列表

export const addCommitmentView = (params) => upload("/commitment/add", params); // 添加 承诺书

export const editCommitmentView = (params) =>
  upload("/commitment/edit", params); // 修改 承诺书

export const infoCommitmentView = (params) =>
  upload("/commitment/goEdit", params); // 详情 承诺书

export const deleteCommitmentView = (params) =>
  post("/commitment/delete", params); // 删除 承诺书
